TAAS - Feature #184

Other Cancel
05/03/2023 02:36 PM - Junaid M

Status: Reopen Bugs Start date: 05/03/2023
Priority: Normal Due date:

Assignee: Vivekp V % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Other Cancel

Description

Coding Other Cancel

History

#1 - 05/05/2023 07:03 PM - Amal Siby
- Status changed from New to Coding Started
- % Done changed from 0 to 40

#2 - 07/06/2023 06:02 PM - Amal Cyriac

- Status changed from Coding Started to Reopen Bugs
- % Done changed from 40 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Remove SAR from GUI

2.Set alignment on drop down label toggle

3.Fix bugs on Ancillary Sevice Multi selection box- Drop down Icon missing
4.Fix bugs on date picker - Set range & proper validations

5.Set tool tips on GUI - LPO No. date picker

6.AP Sharing tab - Set right alignment on amounts, resize column & corect spell mistakes
7.Set precision GUI - Fare - precision missng on refresh

8.AP Sharing tab - Add popup - Set right alignment on amounts & resize column
9.Fix bugs on Date picker - Shrink

10.Set proper validation on no of days - if input box empty error on GUI

(Error converting value {null} to type 'System.Int16'.

Path 'mdIOtherlssue.mdIOther.sinNoOfDays', line 1, position 1290.)

#3 - 09/26/2023 05:05 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#4 - 10/14/2023 01:14 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.DELETED FILE NOT CLEARING FROM DATA BASE

#5 - 10/18/2023 07:11 PM - Amal Siby
Reported Bug Fixed
#6 - 10/18/2023 07:11 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Reported Bug Fixed

#7 - 11/15/2023 05:35 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

Fixed 1.REMOVE CODE FROM COUNTRY TAB

Fixed 2.ERROR WHILE ADDING DECIMAL VALUE IN VOUCHER DETAILS CHOOSING NO.OF KG
Fixed 3.RE-DIRECT ISSUE

Fixed 4. ERROR CHOOSING EDIT MODE FROM NOT REPORTED REFUND MODULE

Fixed 5.DUPLICATION IN TICKET VOUCHER/OTHER SERVICE VOUCHER SEARCH MODLES

#8 - 11/22/2023 02:21 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#9 - 12/20/2023 02:35 PM - unnikannan S
ISSUE FOUNDED

1.ADD VALIDATION FOR DATE
2.MISSING ADDED VOID CHECK BOX AFTER SAVE/UPDATE
3.SHOW CURRENT DATE AS DEFAULT DATE

#10 - 12/22/2023 11:40 AM - unnikannan S
TESTING DONE

#11 - 01/05/2024 11:00 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUNDED

1.CHANGE IN FARE FIELD WHILE FOCUS OUT FROM PERCENTAGE FIELD

Fixed 2.SHOWING ALREADY UPDATED MESSAGE AFTER SAVE AND UPDATING

3.MISSING PRECISION VALUE AND MANDATORY FIELDS AND SWITCHING TO VOUCHER SERVICE FIELD AFTER CHOOSING NEW
BUTTON

Fixed 4.MISSING VOID CHECK BOX AFTER SAVE

5.ERROR WHILE ADDING CUSTOMER/FOP THAT SETTED AS A ACCOUNT IN BRANCH MASTER CONTROL ACCOUNT
6.MISSING SAVED XO VOUCHERS WHILE DELETING ONE VOUCHER ITEM FROM VOUCHERS

Fixed 7.ERROR IN UPDATE SHOWING ALREADY UPDATED MESSAGE

8.SHOW DATA AS PER CHOOSEN SERVICES IN ANCILLARY SERVICE MASTER

9.CONNECT DATAS TO SUPPLIER SERVICE WISE SOA REPORT

Fixed 10.CANCEL DATE GOING TO PAST DATE WHILE SAVE AND RELOAD

Fixed 11.ERROR IN UPDATE

Fixed 12.CANT ADD PAYBACK ACCOUNT

13.ERROR IN SAVE

14.NOT ADDING FARE COMPONENETS ALPO,SUPPLIER CHARGE,REFUND CHARGE

15.SHOW VALIDATION FOR AGENT COMMISSION AMOUNT WITHOUT ADDING AGENT

16.CLEARING PAX COUNT WHILE CHOOSING NEW BUTTON

#12 - 02/27/2024 03:29 PM - Junaid M

Other Issue and Cancel GUI Changes

— Tax Components popup all issue and Cancel

#13 - 05/03/2024 10:43 AM - Junaid M
- Assignee changed from Amal Siby to Vivekp V
#14 - 08/10/2024 07:40 PM - Junaid M
Add Feature

Load Voucher Stock Information to Issue/Cancel module

#15 - 09/27/2024 06:23 PM - Arathy PS
ISSUE FOUND

1) Tax component not loading in tax details field
2) Upon clicking new button the no: of pax becomes zero

#16 - 10/07/2024 05:51 PM - Junaid M

New Feature Change

1) Add Customer Cost center In Custom Tab [Apply this in All Issue/Cancel Module]

NEW CHANGES

1. In Other Tab --> Reference Employee --> Change to Dropdown Labels.
--> Options are "Ref. Employee”, "Ref. Account" (Account--> Customer/Supplier/Comn Agent)

#17 - 11/23/2024 05:37 PM - Arathy PS

- Status changed from Reopen Bugs to New Changes

NEW CHANGES done

Additional Pax

—> Additional Pax Popup - Need Copy <Inputbox> Retore <Checkbox>
—->Add 'Import' Button after 'Sequence' button

* Check Account or JV import

— File* (Red) file Chooser

-Left Side

*File

Avoid First Number of Rows <input>
Avoid Last Number of Rows <input>
*Input Pax Type String <input>
Adult <input>

Child <input>

Infant<input>

—-Right Side Table # | Checkbox Column | Index
Ticket No

Pax Profile

Pax Name (Mandatory)

Pax Type (Mandatory)

Nationality

Passport No

Date of Birth

Phone

Email

Save Settings | Close | Import —-> Buttons

—> In Additional Pax Pop-up —--> at the end of pax add attachment icon as grouped.

pload for pax name
—-> In Ticket tab -> at the end of pax add attachment icon as grouped.
X name.

#18 - 01/08/2025 03:54 PM - Arathy PS

- Status changed from New Changes to Reopen Bugs

ISSUE FIXED

click then open attachemnt u

click then open attachment upload for pa

1. Normal Profit of refund should be difference of refund charge and supplier charge and actual profit should be the difference in service fee or other

fare components in customer side from sale
2. Can change the mandatory fields filled in voucher stock after loading them here.

3. In Other Tab --> Reference Employee --> Change to Dropdown Labels.

--> Options are "Ref. Employee", "Ref. Account" (Account--> Customer/Supplier/Comn Agent)
4. In the AP sharing tab on the entry field for corporate card all other cards are also showing.

NEW CHANGES DONE

1==>In AP Sharing tab,

--> 'Sharing Type' Default 'Customer Corp Card'

--> 'Card Number' --> Mandatory --> Load from Customer Master -- based on Customer and Corporate Account
--> 'Corporate Card*' Set default -> before 'Supplier'

*--in the corporate card entry field Load Only 'UCCF' Corporate Card.

--Expiry Date: - Blue * ??

--Name On Card: - Blue * ??

NEW CHANGES DONE

1. In the AP sharing tab bottom,

--> Add title on Card Number:- Cardmember Account Number
--> Change 'Name On Card'":- Cardmember Name

--> Add "AEME Approval Code™ Textbox

#19 - 03/07/2025 12:15 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#20 - 03/10/2025 11:16 AM - Theja Ponon

- File clipboard-202503101116-dgslj.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#21 - 03/10/2025 12:35 PM - Theja Ponon
- File clipboard-202503101214-ga4dd.png added

Issue FIXED

1)Given customer is missing while saving

Other Cancel

OTHER CANCEL has been Saved.

VS -
Voucher No* 057001 Cancelled ~ Cancel Date™ | 10/03/2025

Customer | Other Service Fare  Custom Data AP Sharing  Note

Customer/FOP* | CAS001 Cash Branch® | BROOT: Main

Customer ~ Department” ' DPQ1: Account

Commission Agent File No*

Due Date* Cost Center”

Responsible User =

Created By:
Modified By:

Administrator(10/03/2025 11:15 AM)

2)On Additional pax tab national and pax profile are not loading
3)On giving additional pax

Jravvise

Other Cancel

X B Update

New
Restore™

Enquiry No*

new row for relation "thl_supp._doc_fare" violates check constraint “tb|_supp_doc_fare_vhr_currency_check"

Ve - Voucher No* | 05/003 Canceled = Cancel Date”

Customer ~ Other Service Fare  Additional Pax = Custom Data AP Sharing

+ Add & Import + AdultFare || Child Fare

Code Pax Profile Pax Name Type

1 aa Adult
#22 - 03/12/2025 09:26 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#23 - 03/13/2025 11:10 AM - Theja Ponon
- File clipboard-202503131110-eix2w.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

Issue FIXED

Other Cancel

,ﬁ;rravviswg

Partial Payment Not Allowed For Selected Supplier, Corporate Card, Make Changes in AP Sharing to Continue

Vs -

Customer  Other Service = Fare Custom Data AP Sharing
Service™ SAD0S5: Other Service v
Ancillary Service® | sjact -
Service Provider*
Country
Supplier | SUP0O1 Supplier QAR v
Corporate Card™ | COCO02 Corporate Card customer
Pax Profile +
Pax* | as @
Number Of Pax | 1 0 0 Total Pax: 1
Channel Other v
Cancel Staff*
Booking Staff*
Issuing Staff*
Ref. Employee ~

Card Number* | 234234

AEME Approval Code™ | 4124

#24 - 03/19/2025 02:11 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#25 - 03/21/2025 12:24 PM - Baseem Shan

Implemented Set Fee/ Discount

#26 - 04/12/2025 01:05 PM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. When we do old refund reverse tax for sale is showing.

:
€ New
Canceled Cancel Date” | 13/03/2025 (i} Restore”
Period™ | 15/03/2025 B | | 15032025 o]
Sup Conf No
Confirmation Number
NoOfDays = | 0
PNR No
Region | seject -
LPO No* a
Reference
Remarks
z
Void ALPO
Expiry Date” | @ | 15/03/2025 [<J-]

Card Member Name™ | 3423

Files

clipboard-202503101116-dgslj.png 67.8 KB 03/10/2025 Theja Ponon
clipboard-202503101214-ga4dd.png 80.1 KB 03/10/2025 Theja Ponon
clipboard-202503131110-eix2w.png 122 KB 03/13/2025
